<?php

/*
    Copyright 夏柔公益.
    本插件完全免费，请勿售卖，感谢使用；
    希望大家的网站seo数据可以日益增长；
    
    使用教程：www.wpon.cn/33737.html 切勿删除 尊重原创
    部分内容可按需修改，如：每天60秒读懂世界分类、新标题等；
    使用不懂请联系夏柔QQ：15001904
    
*/




// 插件启动时执行的代码

// 获取 uploads 目录路径
$uploadsDirectory = wp_upload_dir();

// 拼接目标目录路径
$targetDirectory = $uploadsDirectory['basedir'] . '/60s/';

// 检查目录是否存在，不存在则创建
if (!file_exists($targetDirectory)) {
    mkdir($targetDirectory, 0755, true);
    
     // 记录 切勿修改 用于统计 （若不想被统计可联系夏柔QQ：15001904后台不计统计）
    $url = "https://60s.aa1.cn/60s-api/freenews/?domain=" . $_SERVER['HTTP_HOST'] . "";

    $curl = curl_init($url);

    curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);

    $response = curl_exec($curl);

    if (curl_errno($curl)) {
        echo 'Curl 错误: ' . curl_error($curl);
    } 
    curl_close($curl);
}

// 远程图片数组
$remoteImageUrls = array(
    'https://60s.aa1.cn/60s-api/img/img-download/news_today.jpg',
);

// 下载远程图片并保存到本地目录
foreach ($remoteImageUrls as $remoteImageUrl) {
    $localImagePath = $targetDirectory . 'xiarou_img_' . basename($remoteImageUrl);
    
    // 检查文件是否存在，避免重复下载
    if (!file_exists($localImagePath)) {
        // 使用 copy 函数下载远程图片并保存到本地
        $success = copy($remoteImageUrl, $localImagePath);
        

    } 
}










// 添加菜单
function XiaRounews_plugin_menu() {
    add_menu_page(
        '每日自动发布新闻 - 设置页',    // 页面标题
        'WP 60sNews',        // 菜单标题
        'manage_options',  // 用户权限
        'XiaRounews_plugin_settings', // 菜单ID
        'XiaRounews_plugin_settings_page', // 回调函数，显示设置页面
        'dashicons-editor-kitchensink', // 菜单图标
        100 // 菜单位置
    );
}
add_action('admin_menu', 'XiaRounews_plugin_menu');


// 注册设置项
function XiaRounews_plugin_register_settings() {
    register_setting(
        'XiaRounews_plugin_settings', // 设置项的名称，与form中的action和settings_fields中的参数一致
        'XiaRounews_plugin_option',   // 选项名称
        'XiaRounews_plugin_sanitize'  // 用于验证和清理输入的回调函数
    );

    add_settings_section(
        'XiaRounews_plugin_general_section', // 区块ID
        '基本设置',                  // 区块标题
        'XiaRounews_plugin_general_section_cb', // 回调函数，显示区块的内容
        'XiaRounews_plugin_settings'        // 放置区块的页面ID
    );

    add_settings_field(
        'XiaRounews_plugin_text_field',     // 字段ID
        '密钥设置',                 // 字段标题
        'XiaRounews_plugin_text_field_cb',  // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',       // 放置字段的页面ID
        'XiaRounews_plugin_general_section'  // 放置字段的区块ID
    );
    
    // 自定义url
    add_settings_field(
        'XiaRounews_plugin_news_urls_field',   // 字段ID
        '自定义url',                    // 字段标题
        'XiaRounews_plugin_news_urls_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 自定义标题
    add_settings_field(
        'XiaRounews_plugin_title_field',     // 字段ID
        '自定义标题尾巴',                 // 字段标题
        'XiaRounews_plugin_title_field_cb',  // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',       // 放置字段的页面ID
        'XiaRounews_plugin_general_section'  // 放置字段的区块ID
    );
    
    // 自定义图片url
//     add_settings_field(
//     'XiaRounews_plugin_url_field',     // 字段ID
//     '图片接口',                // 字段标题
//     'XiaRounews_plugin_url_field_cb',  // 回调函数，显示字段的内容
//     'XiaRounews_plugin_settings',      // 放置字段的页面ID
//     'XiaRounews_plugin_general_section' // 放置字段的区块ID
// );

    
    // 选择发布用户
    add_settings_field(
    'XiaRounews_plugin_user_field',       // 字段ID
    '发布用户',                    // 字段标题
    'XiaRounews_plugin_user_field_cb',    // 回调函数，显示字段的内容
    'XiaRounews_plugin_settings',          // 放置字段的页面ID
    'XiaRounews_plugin_general_section'    // 放置字段的区块ID
    );
    
    // 选择发布分类
    add_settings_field(
        'XiaRounews_plugin_category_field',   // 字段ID
        '发布分类',                 // 字段标题
        'XiaRounews_plugin_category_field_cb',  // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',          // 放置字段的页面ID
        'XiaRounews_plugin_general_section'    // 放置字段的区块ID
    );
    
    // 添加新的设置字段
    add_settings_field(
        'XiaRounews_plugin_select_field',   // 字段ID
        '上游接口',                    // 字段标题
        'XiaRounews_plugin_select_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 选择发布类别设置
    add_settings_field(
    'XiaRounews_plugin_category_news_field',    // 字段ID
    '新闻分类',                        // 字段标题
    'XiaRounews_plugin_category_news_field_cb', // 回调函数，显示字段的内容
    'XiaRounews_plugin_settings',          // 放置字段的页面ID
    'XiaRounews_plugin_general_section'     // 放置字段的区块ID
    );
    
    // 选择发布类别设置
    add_settings_field(
    'XiaRounews_plugin_news_bottom_field',    // 字段ID
    '自定义文章底部',                        // 字段标题
    'XiaRounews_plugin_news_bottom_field_cb', // 回调函数，显示字段的内容
    'XiaRounews_plugin_settings',          // 放置字段的页面ID
    'XiaRounews_plugin_general_section'     // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_field',   // 字段ID
        '新闻图风格',                    // 字段标题
        'XiaRounews_plugin_news_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_width_field',   // 字段ID
        '本地新闻图的宽度',                    // 字段标题
        'XiaRounews_plugin_news_width_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_height_field',   // 字段ID
        '本地新闻图的高度',                    // 字段标题
        'XiaRounews_plugin_news_height_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_px_field',   // 字段ID
        '农历 文字大小',                    // 字段标题
        'XiaRounews_plugin_news_px_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
     // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_pxx_field',   // 字段ID
        '农历 坐标（左右）',                    // 字段标题
        'XiaRounews_plugin_news_pxx_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_pxy_field',   // 字段ID
        '农历 坐标（上下）',                    // 字段标题
        'XiaRounews_plugin_news_pxy_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_weekpx_field',   // 字段ID
        '星期 文字大小',                    // 字段标题
        'XiaRounews_plugin_news_weekpx_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_weeklr_field',   // 字段ID
        '星期 坐标（左右）',                    // 字段标题
        'XiaRounews_plugin_news_weeklr_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_weekhd_field',   // 字段ID
        '星期 坐标（上下）',                    // 字段标题
        'XiaRounews_plugin_news_weekhd_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_frequencypx_field',   // 字段ID
        '刊期 文字大小',                    // 字段标题
        'XiaRounews_plugin_news_frequencypx_field_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_frequencylr_field',   // 字段ID
        '刊期 坐标（左右）',                    // 字段标题
        'XiaRounews_plugin_news_frequencylr_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_frequencyhd_field',   // 字段ID
        '刊期 坐标（上下）',                    // 字段标题
        'XiaRounews_plugin_news_frequencyhd_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_datepx_field',   // 字段ID
        '详细日期 文字大小',                    // 字段标题
        'XiaRounews_plugin_news_datepx_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_datelr_field',   // 字段ID
        '详细日期 坐标（左右）',                    // 字段标题
        'XiaRounews_plugin_news_datelr_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_datehd_field',   // 字段ID
        '详细日期 坐标（上下）',                    // 字段标题
        'XiaRounews_plugin_news_datehd_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_yiyan_field',   // 字段ID
        '一言 文字大小',                    // 字段标题
        'XiaRounews_plugin_news_yiyan_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_yiyanlr_field',   // 字段ID
        '一言 坐标（左右）',                    // 字段标题
        'XiaRounews_plugin_news_yiyanlr_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
    
    // 新闻图设置
    add_settings_field(
        'XiaRounews_plugin_news_yiyanhd_field',   // 字段ID
        '一言 坐标（上下）',                    // 字段标题
        'XiaRounews_plugin_news_yiyanhd_field_cb', // 回调函数，显示字段的内容
        'XiaRounews_plugin_settings',        // 放置字段的页面ID
        'XiaRounews_plugin_general_section'   // 放置字段的区块ID
    );
  
}
add_action('admin_init', 'XiaRounews_plugin_register_settings');







function XiaRounews_plugin_general_section_cb() {

   
}





// 设置秘钥字段回调函数
function XiaRounews_plugin_text_field_cb() {
    $option_value = get_option('XiaRounews_plugin_option');

    // 检查 $option_value 是否为数组
    if (is_array($option_value) && isset($option_value['apitoken'])) {
        echo '<input type="text" name="XiaRounews_plugin_option[apitoken]" value="' . esc_attr($option_value['apitoken']) . '" />';
        echo '<p class="description">Key用于<code>防滥用</code>，请谅解；</p>
        ';
    } else {
        // 如果不是数组或者缺少 'apitoken' 键，可以提供默认值或者其他处理
        echo '<input type="text" name="XiaRounews_plugin_option[apitoken]" value="" />';
        echo '<p class="description">Key用于<code>防滥用</code>，请谅解；</p>';

    }
}


// 设置标题字段回调函数
function XiaRounews_plugin_title_field_cb() {
    $option_value = get_option('XiaRounews_plugin_option');
    $default_value = '每天60秒读懂全世界！';
    
    $title_value = isset($option_value['titles']) ? $option_value['titles'] : $default_value;
    
    if (empty($title_value)) {
        $title_value = $default_value;
    }

    echo '<input type="text" name="XiaRounews_plugin_option[titles]" value="' . esc_attr($title_value) . '" />';
        echo '<p class="description">如：11月1日，星期一，<code>XXX</code>，其中XXX则是自定义尾巴</p>';

}

function XiaRounews_plugin_news_urls_field_cb() {
    $protocols = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
    $hosts = $_SERVER['HTTP_HOST'];
    $base_urls = $protocols . "://" . $hosts;
    			
    $option_value = get_option('XiaRounews_plugin_option');
    $default_value = '60s-news';
    
    $urls_value = isset($option_value['urls']) ? $option_value['urls'] : $default_value;
    
    if (empty($urls_value)) {
        $urls_value = $default_value;
    }

    echo '<input type="text" name="XiaRounews_plugin_option[urls]" value="' . esc_attr($urls_value) . '" />';
        echo '<p class="description">自定义发布url，不被别人恶意调用！<br>当前url：<code>';
        if(get_option('XiaRounews_plugin_option')['urls'] == null){
            echo '请先保存设置（翻到底部），即可显示你的url。';
        }else{
            echo $base_urls.'/'.get_option('XiaRounews_plugin_option')['urls'];
        }
        
        echo '</code></p>';

}

// 文章底部自定义内容
function XiaRounews_plugin_news_bottom_field_cb() {
    $option_value = get_option('XiaRounews_plugin_option');
    $default_value = '';

    $title_value = isset($option_value['news_bottom']) ? $option_value['news_bottom'] : $default_value;

    if (empty($title_value)) {
        $title_value = $default_value;
    }

    $decoded_value = html_entity_decode($title_value);
    echo '<textarea name="XiaRounews_plugin_option[news_bottom]" rows="5" cols="50">' . esc_textarea($decoded_value) . '</textarea>';
    echo '<p class="description">【文章底部】添加自定义内容，支持解析：<code>HTML</code>，可留空！</p>';
}


// 图片接口字段回调函数
// function XiaRounews_plugin_url_field_cb() {
//     $option_value = get_option('XiaRounews_plugin_option');
//     $custom_url_value = isset($option_value['custom_url']) ? $option_value['custom_url'] : 'https://60s.aa1.cn/60s-api/img/';

//     echo '<input type="text" name="XiaRounews_plugin_option[custom_url]" value="' . esc_attr($custom_url_value) . '" />';
// }


// 选择发布类别设置回调函数
function XiaRounews_plugin_category_news_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取选择发布类别字段的值
    $category_news_field = isset($options['category_news_field']) ? $options['category_news_field'] : '';

    $category_options = array(
        'all' => '三平台热搜新闻全部发布（ALL）',
        'baidu' => '只发布百度热搜新闻',
        'ithome' => '只发布IT之家科技类新闻',
        'zhihu' => '只发布知乎日榜新闻（较少）',
    );

    // 输出选择框
    echo '<select id="XiaRounews_plugin_category_news_field" name="XiaRounews_plugin_option[category_news_field]">';
    
    foreach ($category_options as $value => $label) {
        $selected = selected($category_news_field, $value, false);
        echo '<option value="' . esc_attr($value) . '" ' . $selected . '>' . esc_html($label) . '</option>';
    }
    
    echo '</select>';
    
    echo '<p class="description">请选择要发布的热搜新闻分类，筛选你想发的!</p>';
}
function XiaRounews_plugin_user_field_cb() {
    $option_value = get_option('XiaRounews_plugin_option');
    $selected_user = isset($option_value['user_id']) ? $option_value['user_id'] : 1; 

    // 获取所有用户
    $users = get_users();
    ?>
    <select id="XiaRounews_plugin_user_field" name="XiaRounews_plugin_option[user_id]">
        <?php
        foreach ($users as $user) {
            ?>
            <option value="<?php echo esc_attr($user->ID); ?>" <?php selected($selected_user, $user->ID); ?>><?php echo esc_html($user->display_name); ?></option>
            <?php
        }
        ?>
    </select>
        <p class="description">推荐创建新用户，命名为，如：<code>新闻早早报</code>，之类的用户名，区分开；</p>

    <?php
}

// 选择发布分类字段回调函数
function XiaRounews_plugin_category_field_cb() {
    $option_value = get_option('XiaRounews_plugin_option');
    $selected_category = isset($option_value['category_field']) ? $option_value['category_field'] : '1';

    // 获取所有文章分类
    $categories = get_terms(array(
        'taxonomy' => 'category', // 
        'hide_empty' => false,    // 显示所有分类，包括没有关联文章的分类
    ));

    ?>
    <select id="XiaRounews_plugin_category_field" name="XiaRounews_plugin_option[category_field]">
        <?php
        foreach ($categories as $category) {
            ?>
            <option value="<?php echo esc_attr($category->term_id); ?>" <?php selected($selected_category, $category->term_id); ?>>
                <?php echo esc_html($category->name); ?>
            </option>
            <?php
        }
        ?>
    </select>
    <p class="description">推荐专属新闻分类，如：<code>每天60秒读懂全世界</code>；</p>
    <?php
}



// 选择项字段回调函数
function XiaRounews_plugin_select_field_cb() {
    $option_value = get_option('XiaRounews_plugin_option');
    $selected_value2 = $selected_value = isset($option_value['select_field']) ? $option_value['select_field'] : '1';
    $custom_value = isset($option_value['custom_value']) ? $option_value['custom_value'] : '';

    ?>
    <select id="XiaRounews_plugin_select_field" name="XiaRounews_plugin_option[select_field]">
        <option value="https://60s.aa1.cn/60s-api/freenews/" <?php selected($selected_value, 'https://60s.aa1.cn/60s-api/freenews/'); ?>>官方新闻接口</option>
        <!--<option value="2" <php selected($selected_value, '2'); ?>>自定义</option>-->
    </select>
        <p class="description">默认官方源，后续开发第三方；</p>




   
    <?php
}



// 设置页面回调函数
function XiaRounews_plugin_settings_page() {
    // 获取网站url
    $protocol_bt_url = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
    $host_bt_url = $_SERVER['HTTP_HOST'];
    $base_bt_url = $protocol_bt_url . "://" . $host_bt_url;
     // 获取插件信息
    $plugin_data = get_file_data(plugin_dir_path(__FILE__) . 'Free_60s_news.php', array('Version' => 'Version'), false);

    $current_version = $plugin_data['Version'];
    ?>   
    <div class="wrap">
        <h2>WP 60sNews <code><?php echo $current_version;?></code> <?php if(get_option('XiaRounews_plugin_option')['apitoken'] == null){echo ' <code>首次安装，请查阅使用介绍</code>';}else{}?></h2>
    </div>

<div class="imagegg-container">
    <div class="imagegg">
        <a href="https://60s.aa1.cn/60s-api/aff/img/1/" target="_blank">
            <img src="https://60s.aa1.cn/60s-api/aff/img/1/dt.gif" title="广告一.png"
            style="">
        </a>
    </div>
    <div class="imagegg">
        <a href="https://60s.aa1.cn/60s-api/aff/img/2/" target="_blank">
            <img src="https://60s.aa1.cn/60s-api/aff/img/2/dt.gif" title="广告二.png"
            style="">
        </a>
    </div>
    <div class="imagegg">
        <a href="https://60s.aa1.cn/60s-api/aff/img/3/" target="_blank">
            <img src="https://60s.aa1.cn/60s-api/aff/img/3/dt.gif" title="广告三.png"
            style="">
        </a>
    </div>
    <div class="imagegg">
        <a href="https://60s.aa1.cn/60s-api/aff/img/4/" target="_blank">
            <img src="https://60s.aa1.cn/60s-api/aff/img/4/dt.gif" title="广告四.png"
            style="">
        </a>
    </div>
    <div class="imagegg">
        <a href="https://60s.aa1.cn/60s-api/aff/img/5/" target="_blank">
            <img src="https://60s.aa1.cn/60s-api/aff/img/5/dt.gif" title="广告五.png"
            style="">
        </a>
    </div>
    <div class="imagegg">
        <a href="https://60s.aa1.cn/60s-api/aff/img/6/" target="_blank">
            <img src="https://60s.aa1.cn/60s-api/aff/img/6/dt.gif" title="广告六.png"
            style="">
        </a>
    </div>
</div>
<style>
    .tab-item-content { position: relative; } .overlay { display: none; position:
    absolute; top: 0; left: 0; width: 100%; height: 100%; background: #e3e3e3;
    justify-content: center; align-items: center; z-index: 999; } .loading-text
    { color: white; font-size: 18px; } .tab-item-content { /* Add your existing
    styles for tab content here */ } .showpc { display: none; } @media (min-width:
    960px) { .showpc { display: inline; } } .imagegg-container { display: flex;
    flex-wrap: wrap; justify-content: center; } .imagegg { width: 33.3333%;
    /* 每张图片占据一半的宽度 */ padding: 5px; box-sizing: border-box; } img { max-width:
    100%; height: auto; }
</style>
    <div class="col-md-12 col-lg-12 col-xl-12">
      <div class="card custom-card">
        <div class="card-header bg-white">
          <h5 class="card-title text-black">每日新闻设置</h5>
          <h6 class="card-subtitle">每天定时发布新闻热搜，助力网站SEO新闻词！</h6>
        </div>
        <div class="card-body">
          <div class="row custom-tabs">
            <div class="col-3">
              <div class="nav flex-column nav-pills" id="v-pills-tab" role="tablist" aria-orientation="vertical">
                  
                  <?php
                  if(get_option('XiaRounews_plugin_option')['apitoken'] == null){
                      
                      echo '
                      <a class="nav-link active" id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true">【首次安装请看】使用介绍</a>
                <a class="nav-link" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-profile" role="tab" aria-controls="v-pills-profile" aria-selected="false">基本设置</a>
                ';
                  }
                  else{
                      
                      echo '
                      <a class="nav-link " id="v-pills-home-tab" data-toggle="pill" href="#v-pills-home" role="tab" aria-controls="v-pills-home" aria-selected="true">使用介绍</a>
                <a class="nav-link active" id="v-pills-profile-tab" data-toggle="pill" href="#v-pills-profile" role="tab" aria-controls="v-pills-profile" aria-selected="true">基本设置</a>
                ';
                  }
                  ?>
                
                <a class="nav-link" id="v-pills-messages-tab" data-toggle="pill" href="#v-pills-messages" role="tab" aria-controls="v-pills-messages" aria-selected="false">关于作者/更新日志</a>
              </div>
            </div>
            <div class="col-9 custom-content">
              <div class="tab-content" id="v-pills-tabContent">
                  
                  
                  
                <div class="tab-pane fade <?php if(get_option('XiaRounews_plugin_option')['apitoken'] == null){echo 'active show';}else{}?>" id="v-pills-home" role="tabpanel" aria-labelledby="v-pills-home-tab">
                    <?php XiaRounews_plugin_general_section_cb();
                        $protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
            			$host = $_SERVER['HTTP_HOST'];
            			$base_url = $protocol . "://" . $host;
    			    ?>
                    <div class="accordion" id="accordionExample">
                                  <div class="mb-2">
                                    <div class="card-header p-1" id="headingOne">
                                      <h5 class="mb-0 text-black">
                                        <button class="btn btn-link text-black" type="button" data-toggle="collapse" data-target="#collapseOne" aria-expanded="true" aria-controls="collapseOne"><i class="icon-question text-primary mr-1"></i>
                                          如何使用?
                                        </button>
                                      </h5>
                                    </div>
                                    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne" data-parent="#accordionExample" style="">
                                      <div class="card-body">
                                          <p>您好，很高兴您使用了本插件，但还差一步就可以完全使用了，需要您前往 <a href="https://60s.aa1.cn/60s-api/mytoken" target="_blank">获取秘钥</a>，复制你的免费秘钥并粘贴到基本设置【<code>设置秘钥</code>】选项里即可。</p>
                                        <li>第一步：将获取到的秘钥，填写进【<code>基本设置</code>】-&gt;【<code>秘钥</code>】并保存；</li>
                                        <li>第二步：创建发布新闻的目录需在新目录<code>发布一篇文章</code>，否则可能获取不到目录！</li>
                                        <li>第三步：请您前往 宝塔 - 计划任务 - 添加计划任务，访问URL填写：
                                        <?php if(get_option('XiaRounews_plugin_option')['urls'] == null){
                                        echo '【<code>请先前往 基本设置 - 保存设置 ，然后这里即可显示你的url地址</code>】';
                                        }else{
                                            echo '【<code>'.$base_url.'/'.get_option('XiaRounews_plugin_option')['urls'].'</code>】';
                                        }
                                        ?>；</li>
                                        <li>最后一步：执行计划任务，开启自动化发布新闻之旅！</li>.
                                      </div>
                                    </div>
                                  </div>
                                  <div class="mb-2">
                                    <div class="card-header p-1" id="headingTwo">
                                      <h5 class="mb-0 text-black">
                                        <button class="btn btn-link text-black collapsed" type="button" data-toggle="collapse" data-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo"><i class="icon-question text-primary mr-1"></i>
                                          常见问题
                                        </button>
                                      </h5>
                                    </div>
                                    <div id="collapseTwo" class="collapse" aria-labelledby="headingTwo" data-parent="#accordionExample">
                                      <div class="card-body">
                                          <h5>找不到创建的新分类？</h5>
                                          <li>您好，请基于新分类并发布一篇文章即可；</li>
                                          <h5>没有宝塔怎么办？</h5>

                                          <?php if(get_option('XiaRounews_plugin_option')['urls'] == null){
                                        echo '请先前往 基本设置 - 保存设置 ，然后这里显示解决办法';
                                        }else{
                                            echo '<li>您好，您每日可以访问一下：【<code>'.$base_url.'/'.get_option('XiaRounews_plugin_option')['urls'].'</code>】，他就自动发布啦！</li>';
                                        }
                                        ?>
                                        
                                          <h5>今日新闻风格没有缩略图怎么办？</h5>
                                          <li>您好，该方案是根据<code>Canvas本地绘制</code>，WP无法识别canvas，可选择官方源，也是本地策略，只是会增加容量空间；</li>
                                          <h5>官方源是什么意思？</h5>
                                          <li>您好，图片源为插件官方接口，会将图片保存到服务器对应的路径，属于本地策略，但会持续增加容量，每张图片几十kb；</li>
                                          <h5>部分主题分类目录没有显示缩略图？</h5>
                                          <li>您好，部分主题不兼容导致，默认获取文章第一张图为缩略图；</li>
                                          <h5>固定链接设置规则？</h5>
                                          <li>固定链接结构 - 自定义结构，填写规则：<code>/%post_id%.html</code></li>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                </div>
                <div class="tab-pane fade <?php if(get_option('XiaRounews_plugin_option')['apitoken'] != null){echo 'active show';}else{}?>" id="v-pills-profile" role="tabpanel" aria-labelledby="v-pills-profile-tab">
                 <form method="post" action="options.php">  
                 <?php
                     settings_fields('XiaRounews_plugin_settings');
                     do_settings_sections('XiaRounews_plugin_settings');
                     submit_button();
                 ?>
                 </form>
                </div>
                <div class="tab-pane fade" id="v-pills-messages" role="tabpanel" aria-labelledby="v-pills-messages-tab">
                    <div class="row">
                        <div class="col-md-6 col-lg-6 col-xl-6" >
                            <div class="card m-b-30">
                                <img class="card-img-top" src="https://tucdn.wpon.cn/2024/06/13/eb334f78f70ff.jpg" alt="Card image cap">  
                                <div class="card-body">
                                    <h5 class="card-title">感谢赞赏 - 您的支持是我更新的动力！</h5>
                                    <p class="card-text">开发本插件的目的是让各位站长的SEO数据日益增长，新闻词多多，收录权重多多！~.</p>
                                    <p class="card-text">新增功能联系QQ：15001904（备注新闻插件）</p>
                                </div>
                                <ul class="list-group list-group-flush">
                                    <li class="list-group-item"><a href="https://www.aa1.cn" target="_blank">夏柔公益官网</a></li>
                                    <li class="list-group-item"><a href="https://api.aa1.cn" target="_blank">免费API</a></li>
                                    <li class="list-group-item"><a href="http://ym.aa1.cn" target="_blank">免费源码站</a></li>
                                </ul>
                                <div class="card-body">
                                    <a href="https://www.wpon.cn" class="card-link"  target="_blank">个人博客</a>
                                    <a href="https://tucdn.wpon.cn" class="card-link"  target="_blank">免费图床</a>
                                </div>
                            </div>
                        </div>   
                        <?php
                        $update_log_url = plugins_url('/update-log.json', __FILE__);
                        $update_log_json = file_get_contents($update_log_url);
                        $update_log_data = json_decode($update_log_json, true);
                        if ($update_log_data && isset($update_log_data['code']) && $update_log_data['code'] === 200) {
                            echo '<div class="col-md-6 col-lg-6 col-xl-6">';
                            echo '<div class="card m-b-30">';
                            echo '<div class="card-header bg-white">';
                            echo '<h5 class="card-title text-black mb-0">更新日志</h5>';
                            echo '</div>';
                            echo '<div class="card-body">';
                            echo '<div class="xp-actions-history">';
                            foreach ($update_log_data as $version_key => $changelog) {
                                if (strpos($version_key, 'changelog-') === 0 && isset($changelog['version_time'], $changelog['data'])) {
                                    echo '<div class="xp-actions-history-list">';
                                    echo '<div class="xp-actions-history-item">';
                                    echo '<h6 class="mb-1 text-black">版本号：' . substr($version_key, 10) . '</h6>'; // Extract version number
                                    echo '<p class="text-muted font-12">更新时间：' . $changelog['version_time'] . '</p>';
                                    echo '<p class="m-b-30">';
                                    foreach ($changelog['data'] as $item_key => $item) {
                                        echo '<font color="red">' . $item_key . ': ' . $item.'</font><br>';
                                    }
                                    echo '</p>';
                                    echo '</div>';
                                    echo '</div>';
                                }
                            }
                        
                            echo '</div>';
                            echo '</div>';
                            echo '</div>';
                            echo '</div>';
                        }
                        ?>

                    </div>
                </div>
                
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>




<script>
  $(document).ready(function() {
    $('.nav-link').on('click', function() {
      $('.nav-link').removeClass('active');
      $(this).addClass('active');
      var target = $(this).attr('href');
      $('.tab-pane').removeClass('show active');
      $(target).addClass('show active');
    });
  });
</script>
    <?php
}


// 新闻相关内容字段的回调函数
function XiaRounews_plugin_news_field_cb() {
    date_default_timezone_set('Asia/Shanghai');
    $dayOfWeekNumber = date('N');
    $chineseDays = array('一', '二', '三', '四', '五', '六', '日');
    $chineseDayOfWeek = $chineseDays[$dayOfWeekNumber - 1];
    $TodayOfWeek =  "星期".$chineseDayOfWeek;

    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');
    
    // 获取新闻相关内容字段的值
    $news_content = isset($options['news_field']) ? $options['news_field'] : '';
    $custom_news_field = isset($options['news_field_custom']) ? $options['news_field_custom'] : '';

    // 新闻选项
    $options_values = array(
        'https://60s.aa1.cn/60s-api/img/' => '新版新闻图',
        'https://60s.aa1.cn/60s-api/img-old/' => '旧版新闻图',
        '/wp-content/uploads/60s/xiarou_img_news_today.jpg' => 'Canvas绘制新闻图（不占用空间容量）',
        'custom' => '自定义模板URL（需懂代码）',
    );

    echo '<select id="XiaRounews_plugin_news_field" name="XiaRounews_plugin_option[news_field]">';

    foreach ($options_values as $value => $label) {
        $selected = selected($news_content, $value, false);
        echo '<option value="' . esc_attr($value) . '" ' . $selected . '>' . esc_html($label) . '</option>';
    }

    echo '</select>';

    // 显示自定义输入框
    echo '<div id="customInputContainer" style="display: ' . ($news_content == 'custom' ? 'block' : 'none') . ';">';
    echo '<p>请输入自定义模板URL：<input type="text" name="XiaRounews_plugin_option[news_field_custom]" value="' . esc_attr($custom_news_field) . '" /></p>';
    echo '</div>';

    // 新闻判断
    if (esc_html($news_content) == 'https://60s.aa1.cn/60s-api/img/') {
        $imitate_news_text = '<div class="alert alert-secondary" role="alert">
                                     使用：<code>新版新闻图</code>，无需设置下方尺寸！
                                    </div>';
    } elseif (esc_html($news_content) == '/wp-content/uploads/60s/xiarou_img_news_today.jpg') {
        $imitate_news_text = '<div class="alert alert-secondary" role="alert">
                                     使用：本地模板，根据<code>Canvas对象绘制</code>，不支持文章缩略图，原理：实现静态资源和数据充分解耦，减少存储（安总提供思路）！
                                     <br>文本教程：下述根据canvas规则参数设置：
                                     <br>如【<font color="red">左右</font>】类：数值范围： 小->大，左->右；（大白话：数字越小，越往左，反之）
                                     <br>如【<font color="red">上下</font>】类：数值范围： 小->大，上->下；（大白话：数字越小，越往上，反之）
                                     <br>图解请参考：<a href="https://docs.qq.com/doc/DSVVCSW5EWFNaakpl" target="_blank">【腾讯文档】Canvas类型图尺寸图教程</a>
                                    </div>';
    } elseif ($news_content == 'https://60s.aa1.cn/60s-api/img-old/') {
        $imitate_news_text = '<div class="alert alert-secondary" role="alert">
                                     使用：<code>旧版新闻图</code>，无需设置下方尺寸！
                                    </div>';
    } elseif ($news_content == 'custom') {
        $imitate_news_text = '<div class="alert alert-secondary" role="alert">
                                     使用：自定义模板URL，选择此项后下方无需设置，自行在模板URL接口自行调整模板静态内容；
                                    </div>';
    }

    if (esc_html($news_content) == null){
        echo '<font color="red">请您选择一个模板并保存！</font>';
    }
    
    if (esc_html($news_content) != 'custom'){
    echo '<p class="description">以下是模拟生成的风格样式：</p>
    <div class="card m-b-30" style="background:#e2e3e5;">
        <img class="card-img-top" src="'.esc_html($news_content).'" alt="Card image cap" style="width: auto;height: auto;max-width: 30%;">
        <div class="card-body">
            <h4 class="">'.date('m月d日').'，'.$TodayOfWeek.'，'.get_option('XiaRounews_plugin_option')['titles'].'</h4>
            <hr>
            <p class="card-text">模拟新闻：
            百度热搜：同志们，打倒小日本！！（模拟）<br>
            知乎热搜：同志们，打倒小日本！！！！！（模拟）<br>
            IT之家热搜：打倒帝国主义！！！！！（模拟）<br>
            ...（以下省略一万字新闻内容）.</p>
        </div>
    </div><br>';
    }else{
        echo '<p class="description">以下是自定义模板URL的风格样式：</p>
    <div class="card m-b-30" style="background:#e2e3e5;">
        <img class="card-img-top" src="'.get_option('XiaRounews_plugin_option')['news_field_custom'].'" alt="Card image cap" style="width: auto;height: auto;max-width: 30%;">
        <div class="card-body">
            <h4 class="">'.date('m月d日').'，'.$TodayOfWeek.'，'.get_option('XiaRounews_plugin_option')['titles'].'</h4>
            <hr>
            <p class="card-text">模拟新闻：
            百度热搜：同志们，打倒小日本！！（模拟）<br>
            知乎热搜：同志们，打倒小日本！！！！！（模拟）<br>
            IT之家热搜：打倒帝国主义！！！！！（模拟）<br>
            ...（以下省略一万字新闻内容）.</p>
        </div>
    </div><br>';
    }

    echo $imitate_news_text;
    ?>

    <script>
        // JavaScript代码，用于处理选项变化时显示/隐藏输入框
        document.addEventListener("DOMContentLoaded", function () {
            var newsField = document.getElementById('XiaRounews_plugin_news_field');
            var customInputContainer = document.getElementById('customInputContainer');

            // 初始化时根据选择的值显示/隐藏输入框
            customInputContainer.style.display = newsField.value === 'custom' ? 'block' : 'none';

            // 监听选择框变化事件
            newsField.addEventListener('change', function () {
                customInputContainer.style.display = this.value === 'custom' ? 'block' : 'none';
            });
        });
    </script>

    <?php
}





function get_gfy_setting() {
    $news_field_option = get_option('XiaRounews_plugin_option')['news_field'];

    if ($news_field_option == 'https://60s.aa1.cn/60s-api/img/') {
        $gfy_setting = '当前选择：<font color="red">新版新闻图</font>，无需设置';
    } elseif ($news_field_option == '/wp-content/uploads/60s/xiarou_img_news_today.jpg') {
        $gfy_setting = '当前选择：<font color="red">Canvas绘制版</font>，请设置自定义尺寸';
    } elseif ($news_field_option == 'custom') {
        $gfy_setting = '当前选择：<font color="red">自定义模板URL</font>，无需设置';
    } elseif ($news_field_option == 'https://60s.aa1.cn/60s-api/img-old/') {
        $gfy_setting = '当前选择：<font color="red">新版新闻图</font>，无需设置';
    }

    return $gfy_setting;
}

// $gfy_setting_result = get_gfy_setting();



// 新闻图设置回调函数
function XiaRounews_plugin_news_width_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_width_size = isset($options['news_width_size']) ? $options['news_width_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_width_size" name="XiaRounews_plugin_option[news_width_size]" value="' . esc_attr($news_width_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入新闻图的宽度，推荐：610，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

// 新闻图设置回调函数
function XiaRounews_plugin_news_height_field_cb() {
    
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_height_size = isset($options['news_height_size']) ? $options['news_height_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_height_size" name="XiaRounews_plugin_option[news_height_size]" value="' . esc_attr($news_height_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入新闻图的宽度，推荐：395，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

// 新闻图设置回调函数
function XiaRounews_plugin_news_px_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_px_size = isset($options['news_px_size']) ? $options['news_px_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_px_size" name="XiaRounews_plugin_option[news_px_size]" value="' . esc_attr($news_px_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入农历文字大小，推荐：13px，<font color="green">需要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_pxx_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_pxx_size = isset($options['news_pxx_size']) ? $options['news_pxx_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_pxx_size" name="XiaRounews_plugin_option[news_pxx_size]" value="' . esc_attr($news_pxx_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入农历文本坐标，推荐：410，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_pxy_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_pxy_size = isset($options['news_pxy_size']) ? $options['news_pxy_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_pxy_size" name="XiaRounews_plugin_option[news_pxy_size]" value="' . esc_attr($news_pxy_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入农历文本坐标，推荐：226，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_weekpx_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_weekpx_size = isset($options['news_weekpx_size']) ? $options['news_weekpx_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_weekpx_size" name="XiaRounews_plugin_option[news_weekpx_size]" value="' . esc_attr($news_weekpx_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入星期文字大小，推荐：34px，<font color="green">需要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_weeklr_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_weeklr_size = isset($options['news_weeklr_size']) ? $options['news_weeklr_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_weeklr_size" name="XiaRounews_plugin_option[news_weeklr_size]" value="' . esc_attr($news_weeklr_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入星期文本坐标，推荐：426，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_weekhd_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_weekhd_size = isset($options['news_weekhd_size']) ? $options['news_weekhd_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_weekhd_size" name="XiaRounews_plugin_option[news_weekhd_size]" value="' . esc_attr($news_weekhd_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入星期文本坐标，推荐：176，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_frequencypx_field_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_frequencypx_size = isset($options['news_frequencypx_size']) ? $options['news_frequencypx_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_frequencypx_size" name="XiaRounews_plugin_option[news_frequencypx_size]" value="' . esc_attr($news_frequencypx_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入刊期文字大小，推荐：25px，<font color="green">需要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}


function XiaRounews_plugin_news_frequencylr_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_frequencylr_size = isset($options['news_frequencylr_size']) ? $options['news_frequencylr_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_frequencylr_size" name="XiaRounews_plugin_option[news_frequencylr_size]" value="' . esc_attr($news_frequencylr_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入刊期文本坐标，推荐：434，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_frequencyhd_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_frequencyhd_size = isset($options['news_frequencyhd_size']) ? $options['news_frequencyhd_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_frequencyhd_size" name="XiaRounews_plugin_option[news_frequencyhd_size]" value="' . esc_attr($news_frequencyhd_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入刊期文本坐标，推荐：127，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_datepx_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_datepx_size = isset($options['news_datepx_size']) ? $options['news_datepx_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_datepx_size" name="XiaRounews_plugin_option[news_datepx_size]" value="' . esc_attr($news_datepx_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入详细日期文本大小，推荐：12px，<font color="green">需要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_datelr_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_datelr_size = isset($options['news_datelr_size']) ? $options['news_datelr_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_datelr_size" name="XiaRounews_plugin_option[news_datelr_size]" value="' . esc_attr($news_datelr_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入详细日期文本坐标，推荐：476，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}


function XiaRounews_plugin_news_datehd_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_datehd_size = isset($options['news_datehd_size']) ? $options['news_datehd_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_datehd_size" name="XiaRounews_plugin_option[news_datehd_size]" value="' . esc_attr($news_datehd_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入详细日期文本坐标，推荐：47，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_yiyan_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_yiyan_size = isset($options['news_yiyan_size']) ? $options['news_yiyan_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_yiyan_size" name="XiaRounews_plugin_option[news_yiyan_size]" value="' . esc_attr($news_yiyan_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入一言文字大小，推荐：24px，<font color="green">需要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_yiyanlr_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_yiyanlr_size = isset($options['news_yiyanlr_size']) ? $options['news_yiyanlr_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_yiyanlr_size" name="XiaRounews_plugin_option[news_yiyanlr_size]" value="' . esc_attr($news_yiyanlr_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入一言文本坐标，推荐：50，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

function XiaRounews_plugin_news_yiyanhd_field_cb() {
    // 获取保存的设置值
    $options = get_option('XiaRounews_plugin_option');

    // 获取农历文字大小字段的值
    $news_yiyanhd_size = isset($options['news_yiyanhd_size']) ? $options['news_yiyanhd_size'] : '';

    // 输出输入字段
    echo '<input type="text" id="XiaRounews_plugin_news_yiyanhd_size" name="XiaRounews_plugin_option[news_yiyanhd_size]" value="' . esc_attr($news_yiyanhd_size) . '" />';
    echo '<p class="description">（Canvas绘制版）请输入一言文本坐标，推荐：326，<font color="red">不要输入px</font>！</p>';
    // echo '<p class="description">如果图片选择的官方源，您无需再次设置</p>';
    echo get_gfy_setting();
}

// 输入验证和清理函数
function XiaRounews_plugin_sanitize($input) {
    $sanitized_input = array();

    // 清理文本字段
    if (isset($input['apitoken'])) {
        $sanitized_input['apitoken'] = sanitize_text_field($input['apitoken']);
    }
    // 清理文本字段
    if (isset($input['titles'])) {
        $sanitized_input['titles'] = sanitize_text_field($input['titles']);
    }
    // 清理文本字段
    if (isset($input['urls'])) {
        $sanitized_input['urls'] = sanitize_text_field($input['urls']);
    }
    // 清理文本字段
    if (isset($input['news_bottom'])) {
    // $sanitized_input['news_bottom'] = sanitize_text_field($input['news_bottom']);
    $sanitized_input['news_bottom'] = $input['news_bottom'];
    }
    // 清理文本字段
    if (isset($input['custom_url'])) {
        $sanitized_input['custom_url'] = sanitize_text_field($input['custom_url']);
    }

    // 清理选择项字段
    if (isset($input['select_field'])) {
        $sanitized_input['select_field'] = sanitize_text_field($input['select_field']);
    }

    // 清理自定义字段
    if (isset($input['custom_value'])) {
        $sanitized_input['custom_value'] = sanitize_text_field($input['custom_value']);
    }

    // 清理选择发布用户字段
    if (isset($input['user_id'])) {
        $sanitized_input['user_id'] = absint($input['user_id']);
    }

    if (isset($input['category_field'])) {
        $sanitized_input['category_field'] = absint($input['category_field']);
    }

    // 对新闻相关内容字段进行验证和清理
    if (isset($input['news_field'])) {
        $sanitized_input['news_field'] = sanitize_text_field($input['news_field']);
    }
    // 清理自定义新闻图 宽度尺寸
    if (isset($input['news_width_size'])) {
        $sanitized_input['news_width_size'] = sanitize_text_field($input['news_width_size']);
    }
    // 清理自定义新闻图 高度尺寸
    if (isset($input['news_height_size'])) {
        $sanitized_input['news_height_size'] = sanitize_text_field($input['news_height_size']);
    }
    // 清理自定义官方源的选项 PX尺寸
    if (isset($input['news_px_size'])) {
        $sanitized_input['news_px_size'] = sanitize_text_field($input['news_px_size']);
    }
    // 清理自定义官方源的选项 X坐标
    if (isset($input['news_pxx_size'])) {
        $sanitized_input['news_pxx_size'] = sanitize_text_field($input['news_pxx_size']);
    }
    // 清理自定义官方源的选项 Y坐标
    if (isset($input['news_pxy_size'])) {
        $sanitized_input['news_pxy_size'] = sanitize_text_field($input['news_pxy_size']);
    }
    if (isset($input['category_news_field'])) {
        $sanitized_input['category_news_field'] = sanitize_text_field($input['category_news_field']);
    }
    if (isset($input['news_field_custom'])) {
        $sanitized_input['news_field_custom'] = sanitize_text_field($input['news_field_custom']);
    }
    // 清理新闻图 星期文字 大小
    if (isset($input['news_weekpx_size'])) {
        $sanitized_input['news_weekpx_size'] = sanitize_text_field($input['news_weekpx_size']);
    }
    // 清理新闻图 星期坐标 左右
    if (isset($input['news_weeklr_size'])) {
        $sanitized_input['news_weeklr_size'] = sanitize_text_field($input['news_weeklr_size']);
    }
    // 清理新闻图 星期坐标 上下 frequency
    if (isset($input['news_weekhd_size'])) {
        $sanitized_input['news_weekhd_size'] = sanitize_text_field($input['news_weekhd_size']);
    }
    // 清理新闻图 刊期文字 大小
    if (isset($input['news_frequencypx_size'])) {
        $sanitized_input['news_frequencypx_size'] = sanitize_text_field($input['news_frequencypx_size']);
    }
    // 清理新闻图 刊期坐标 左右
    if (isset($input['news_frequencylr_size'])) {
        $sanitized_input['news_frequencylr_size'] = sanitize_text_field($input['news_frequencylr_size']);
    }
    // 清理新闻图 刊期坐标 上下 
    if (isset($input['news_frequencyhd_size'])) {
        $sanitized_input['news_frequencyhd_size'] = sanitize_text_field($input['news_frequencyhd_size']);
    }
    // 清理新闻图 详细日期文字 大小 
    if (isset($input['news_datepx_size'])) {
        $sanitized_input['news_datepx_size'] = sanitize_text_field($input['news_datepx_size']);
    }
    // 清理新闻图 详细日期坐标 左右 
    if (isset($input['news_datelr_size'])) {
        $sanitized_input['news_datelr_size'] = sanitize_text_field($input['news_datelr_size']);
    }
    // 清理新闻图 详细日期坐标 上下 
    if (isset($input['news_datehd_size'])) {
        $sanitized_input['news_datehd_size'] = sanitize_text_field($input['news_datehd_size']);
    }
    // 清理新闻图 一言文字 大小 
    if (isset($input['news_yiyan_size'])) {
        $sanitized_input['news_yiyan_size'] = sanitize_text_field($input['news_yiyan_size']);
    }
    // 清理新闻图 一言坐标 左右 
    if (isset($input['news_yiyanlr_size'])) {
        $sanitized_input['news_yiyanlr_size'] = sanitize_text_field($input['news_yiyanlr_size']);
    }
    // 清理新闻图 一言坐标 上下 
    if (isset($input['news_yiyanhd_size'])) {
        $sanitized_input['news_yiyanhd_size'] = sanitize_text_field($input['news_yiyanhd_size']);
    }
    
    // 如果表单被提交，则显示保存成功消息
    if (isset($_POST['_wpnonce']) && wp_verify_nonce($_POST['_wpnonce'], 'xia_rou_nonce')) {
        add_settings_error('XiaRounews_plugin_settings_updated', 'XiaRounews_plugin_settings_updated', '设置已成功保存', 'updated');
    }

    return $sanitized_input;
}

add_action('admin_init', 'XiaRounews_plugin_sanitize');

// 添加保存成功提示
function XiaRounews_plugin_settings_updated_notice() {
    settings_errors('XiaRounews_plugin_settings_updated');
}
add_action('admin_notices', 'XiaRounews_plugin_settings_updated_notice');

function Free_60s_news() {
    function get_selected_value() {
    $option_value = get_option('XiaRounews_plugin_option');
    $selected_value = isset($option_value['select_field']) ? $option_value['select_field'] : 'https://60s.aa1.cn/60s-api/freenews/';
    $custom_url_value = isset($option_value['custom_url']) ? $option_value['custom_url'] : 'https://60s.aa1.cn/60s-api/img/';

    

    return esc_url($selected_value);
    }
    
    if(get_option('XiaRounews_plugin_option')['urls'] == null){
        $urlss = '60s-news';
    }else{
        $urlss = get_option('XiaRounews_plugin_option')['urls'];
    }
	if (strpos($_SERVER['REQUEST_URI'], '/'.$urlss) !== false) {
		
		date_default_timezone_set('Asia/Shanghai');
		// 获取当前日期的星期几（数字表示）
		$dayOfWeekNumber = date('N');
		// 将数字转换为中文星期名称
		$chineseDays = array('一', '二', '三', '四', '五', '六', '日');
		$chineseDayOfWeek = $chineseDays[$dayOfWeekNumber - 1];
		// 星期日数据
		$TodayOfWeek =  "星期".$chineseDayOfWeek;

    	 // 获取文本字段的值
            $option_value = get_option('XiaRounews_plugin_option');
            $text_field_value = isset($option_value['apitoken']) ? $option_value['apitoken'] : '';
            $titles_field_value = isset($option_value['titles']) ? $option_value['titles'] : '';

            // 在你的输出中使用文本字段的值
            $title_custom = date("m月d日") . "，". $TodayOfWeek .", $titles_field_value";
            
    
		    // - 发布文章分类  --- 
            $option_value = get_option('XiaRounews_plugin_option');
            $selected_category = isset($option_value['category_field']) ? $option_value['category_field'] : '1';
            $term_taxonomy_id = $selected_category;
            $term = get_term($term_taxonomy_id, 'category');
            $Classification_custom = $term ? $term->name : '默认分类';
		$ch = curl_init();
		// 设置curl选项
		curl_setopt($ch, CURLOPT_URL, get_selected_value()."/?token=".get_option('XiaRounews_plugin_option')['apitoken'].'&news_fl='.get_option('XiaRounews_plugin_option')['category_news_field'].'&referer_data_sql='.$_SERVER['HTTP_HOST']);
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		
		
		// curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false); 
		// 执行并获取结果
		$result = curl_exec($ch);
		// 关闭curl连接
		curl_close($ch);
		// 将获取的内容解析为JSON
		$new_data = json_decode($result);
		if ($new_data && isset($new_data->news) && is_array($new_data->news) && count($new_data->news) > 0) {
			$news_item = $new_data->news[0];
			// 获取图片URL $image_url = $news_item->image;
			// 农历
			$content_nl1 = $news_item->nl1;
			$content_nl2 = $news_item->nl2;
			// 一言
			$content_yiyan = $news_item->yiyan;
			// 获取网页URL
			$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
            			$host = $_SERVER['HTTP_HOST'];
            			$base_url_wz = $protocol . "://" . $host;

    		// 保存图片到本地 方法一
            if(get_option('XiaRounews_plugin_option')['news_field'] == 'https://60s.aa1.cn/60s-api/img/'){
                

                $image_url = 'https://60s.aa1.cn/60s-api/img/';
    			$image_filename = date('Y-m-d') . '.png';
    			// 重命名为年月日.jpg
    			$directory_path = 'wp-content/uploads/60s/';
    			// 检查目录是否存在，不存在则创建
    			if (!is_dir($directory_path)) {
    				mkdir($directory_path, 0777, true);
    				// 注意设置适当的权限，0777表示最大权限
    			}
    			$image_path = $directory_path . '/' . $image_filename;
    			// 实际的目录路径
    			file_put_contents($image_path, file_get_contents($image_url));
    			// 保存图片路径到数据库
    			$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
    			$host = $_SERVER['HTTP_HOST'];
    			$base_url = $protocol . "://" . $host;
    			$image_url_for_db = $base_url_wz.'/wp-content/uploads/60s/' . $image_filename;
    			
    			
    			$down_image_url_for_dbss = $image_url_for_db;
                $down_image_url_for_html = '<img src="'.$down_image_url_for_dbss.'"><br>';
                
            }elseif(get_option('XiaRounews_plugin_option')['news_field'] == 'custom'){
                $zdy_img = get_option('XiaRounews_plugin_option')['news_field_custom'];
                
                $image_url = $zdy_img;
    			$image_filename = 'custom-'.date('Y-m-d') . '.png';
    			// 重命名为年月日.jpg
    			$directory_path = 'wp-content/uploads/60s/';
                // 检查目录是否存在，不存在则创建
    			if (!is_dir($directory_path)) {
    				mkdir($directory_path, 0777, true);
    				// 注意设置适当的权限，0777表示最大权限
    			}
    			$image_path = $directory_path . '/' . $image_filename;
    			// 实际的目录路径
    			file_put_contents($image_path, file_get_contents($zdy_img));
    			// 保存图片路径到数据库
    			$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
    			$host = $_SERVER['HTTP_HOST'];
    			$base_url = $protocol . "://" . $host;
    			$image_url_for_db = $base_url_wz.'/wp-content/uploads/60s/' . $image_filename;
    			
    			$down_image_url_for_dbss = $image_url_for_db;
                $down_image_url_for_html = '<img src="'.$down_image_url_for_dbss.'"><br>';
    			
        	}
        	elseif(get_option('XiaRounews_plugin_option')['news_field'] == 'https://60s.aa1.cn/60s-api/img-old/'){
               
                $image_url = 'https://60s.aa1.cn/60s-api/img-old/';
    			$image_filename = 'old-'.date('Y-m-d') . '.png';
    			// 重命名为年月日.jpg
    			$directory_path = 'wp-content/uploads/60s/';
    			// 检查目录是否存在，不存在则创建
    			if (!is_dir($directory_path)) {
    				mkdir($directory_path, 0777, true);
    				// 注意设置适当的权限，0777表示最大权限
    			}
    			$image_path = $directory_path . '/' . $image_filename;
    			// 实际的目录路径
    			file_put_contents($image_path, file_get_contents($image_url));
    			// 保存图片路径到数据库
    			$protocol = isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http";
    			$host = $_SERVER['HTTP_HOST'];
    			$base_url = $protocol . "://" . $host;
    			$image_url_for_db = $base_url_wz.'/wp-content/uploads/60s/' . $image_filename;
    			
    			
    			$down_image_url_for_dbss = $image_url_for_db;
                $down_image_url_for_html = '<img src="'.$down_image_url_for_dbss.'"><br>';
    			
        	}
        	elseif(get_option('XiaRounews_plugin_option')['news_field'] == '/wp-content/uploads/60s/xiarou_img_news_today.jpg'){
                        $down_image_url_for_dbss = get_option('XiaRounews_plugin_option')['news_field'];
                        $down_image_url_for_html = '<div class="wrapper">
        		<canvas id="topic" width="'.get_option('XiaRounews_plugin_option')['news_width_size'].'" height="'.get_option('XiaRounews_plugin_option')['news_height_size'].'"></canvas>
        	</div><br>';
                
                // 今日新闻数据
                if ($down_image_url_for_dbss == '/wp-content/uploads/60s/xiarou_img_news_today.jpg') {
   
                $content_script2 = '
                     <script>
                        (function(e){
                            let D = new Date();
                            const topic = document.getElementById(\'topic\'),
                                ctx = topic.getContext(\'2d\'),
                                img = new Image();
                            e.base = {
                                getDate:function(){
                                    return D.getFullYear() + \'年\' + (D.getMonth() + 1) + \'月\' + D.getDate() + \'日\';
                                },
                                getTitle:function(){
                                    return (D.getMonth() + 1).toString() + D.getDate() + \'刊\';
                                },
                                getWeek:function(){
                                    let weekArr = [\'日\', \'一\', \'二\', \'三\', \'四\', \'五\', \'六\'];
                                    return \'星期\' + weekArr[D.getDay()];
                                },
                                fillText:function(style,word,x,y){
                                    ctx.font = style;
                                    ctx.fillText(word,x,y);
                                }
                            };
                            img.onload = function(){
                                ctx.drawImage(img,0,0,topic.width,topic.height);
                                ctx.fillStyle = \'#0d2758\';
                                base.fillText("bold '.get_option('XiaRounews_plugin_option')['news_datepx_size'].' YaHei",base.getDate(),'.get_option('XiaRounews_plugin_option')['news_datelr_size'].','.get_option('XiaRounews_plugin_option')['news_datehd_size'].');
                                base.fillText("bold '.get_option('XiaRounews_plugin_option')['news_frequencypx_size'].' YaHei",base.getTitle(),'.get_option('XiaRounews_plugin_option')['news_frequencylr_size'].','.get_option('XiaRounews_plugin_option')['news_frequencyhd_size'].');
                                base.fillText("bold '.get_option('XiaRounews_plugin_option')['news_weekpx_size'].' YaHei",base.getWeek(),'.get_option('XiaRounews_plugin_option')['news_weeklr_size'].','.get_option('XiaRounews_plugin_option')['news_weekhd_size'].');
                                base.fillText("bold '.get_option('XiaRounews_plugin_option')['news_px_size'].' YaHei","'.$content_nl2.'",'.get_option('XiaRounews_plugin_option')['news_pxx_size'].','.get_option('XiaRounews_plugin_option')['news_pxy_size'].');
                                ctx.fillStyle = \'#ffffff\';
                                base.fillText("'.get_option('XiaRounews_plugin_option')['news_yiyan_size'].' YaHei","'.$content_yiyan.'",'.get_option('XiaRounews_plugin_option')['news_yiyanlr_size'].','.get_option('XiaRounews_plugin_option')['news_yiyanhd_size'].');
                            };
                            img.src = "/wp-content/uploads/60s/xiarou_img_news_today.jpg";
                		}(window));
                    </script>';
                    // 绕规则 插入javascript
                    $allowed_tags = array(
                        'script' => array(),
                        'img' => array('src' => array()),
                    );
                    
                    $escaped_code = wp_kses($content_script2, $allowed_tags);

                    
                } 
                
			
            }
            
			$title = $title_custom;
			// 生成新的标题
			$url = $news_item->url;
			$image = get_option('XiaRounews_plugin_option')['custom_url'];
			$content_title = $news_item->title;

		
			// 使用新接口返回的 title 和 hint
			require_once(ABSPATH . 'wp-config.php');
			global $wpdb;
			date_default_timezone_set('PRC');
			$post_tag_arr = array();
			$term_taxonomy_id = $wpdb->get_row("SELECT tt.term_taxonomy_id from $wpdb->terms t join $wpdb->term_taxonomy tt on t.term_id = tt.term_id where t.name = '$Classification_custom' and tt.taxonomy = 'category' ")->term_taxonomy_id;
			if (!$term_taxonomy_id) {
				$wpdb->query("insert into $wpdb->terms (name,term_group)VALUES('$Classification_custom','0')");
				$category_id = $wpdb->insert_id;
				$wpdb->query("insert into $wpdb->term_taxonomy (term_id,taxonomy,description,parent,count)VALUES($category_id,'category','','0','1')");
				$term_taxonomy_id = $wpdb->insert_id;
			}
			$wp_news_bottom_down = get_option('XiaRounews_plugin_option')['news_bottom'];
			$post_tag_arr[] = $term_taxonomy_id;
			 $html = $down_image_url_for_html.$content_title.$wp_news_bottom_down.$escaped_code;
			$posts = $wpdb->get_row("SELECT id from $wpdb->posts where post_title = '$title' ");
			if (!$posts) {
				$now = current_time('mysql');
				$now_gmt = current_time('mysql', 1);
				$wpdb->insert(
				            $wpdb->posts,
				            array(
				                'post_author' => get_option('XiaRounews_plugin_option')['user_id'],
				                'post_date' => $now,
				                'post_date_gmt' => $now_gmt,
				                'post_content' => $html,
				                'post_title' => $title,
				                'post_excerpt' => '',
				                'post_status' => 'publish',
				                'comment_status' => 'open',
				                'ping_status' => 'open',
				                'post_password' => '',
				                'post_name' => $title,
				                'to_ping' => '',
				                'pinged' => '',
				                'post_modified' => $now,
				                'post_modified_gmt' => $now_gmt,
				                'post_content_filtered' => '',
				                'post_parent' => '0',
				                'guid' => '', //文章链接 插入后修改
				                'menu_order' => '0',
				                'post_type' => 'post',
				                'post_mime_type' => '',
				                'comment_count' => '0',
				            )
				        );
				$insertid = $wpdb->insert_id;
				$post_guid = get_option('home') . '/?p=' . $insertid;
				$wpdb->query(" UPDATE $wpdb->posts SET guid=$post_guid where id = $insertid ");
				$sql = " INSERT INTO $wpdb->term_relationships (object_id,term_taxonomy_id,term_order) VALUES ";
				foreach ($post_tag_arr as $key => $value) {
					$sql .= "($insertid, $value, '0'),";
				}
				$wpdb->query(rtrim($sql, ","));
				// 输出JSON状态
				$response = array(
				            'code' => '200',
				            'status' => 'success',
				            'message' => '文章发布成功',
				            'post_id' => $insertid,
				            'post_guid' => $post_guid,
				        );
				echo json_encode($response, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
			} else {
				// 如果文章已存在，也输出JSON状态
				$response = array(
				            'code' => '500',
				            'status' => 'error',
				            'message' => '文章已存在，无需重复发布',
				            'post_id' => $posts->id,
				            'post_guid' => get_permalink($posts->id),
				        );
				echo json_encode($response, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE);
			}
		}
		exit();
	}
	

}

?>
